Package ru.bitel.bgbilling.kernel.contract.pattern.common.service

# Interface ContractPatternService

public interface ContractPatternService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ru.bitel.bgbilling.common.model.KeyValue>`
  `contractCommentPatternList()`
  `List<ru.bitel.bgbilling.common.model.KeyValue>`
  `contractParameterGroupList()`
  `List<ru.bitel.bgbilling.kernel.contract.pattern.common.dto.ContractParameterData>`
  `contractPatternContractParameterList(int contractPatternId)`
  `List<ru.bitel.bgbilling.kernel.contract.pattern.common.dto.ContractPatternInfo>`
  `contractPatternlist(String nondef)`
  `List<IdTitle>`
  `contractPatterns(boolean showHidden)`
  `List<ru.bitel.bgbilling.kernel.contract.pattern.common.dto.ContractTariffData>`
  `contractPatternTariffList(int contractPatternId)`
  `void`
  `deleteNamedNumber(int id)`
  Удаление именованного порядкового параметра шаблона договора.
  `int`
  `getNextNamedNumberIndex(String title)`
  Получить следующий номер для именного порядкового параметра шаблона договора.
  `List<ContractPatternNamedNumber>`
  `numedNumberPatternList()`
  Получить список именованных порядковых параметров.
  `ru.bitel.bgbilling.kernel.contract.pattern.common.dto.PatternData`
  `patternDataGet()`
  `boolean`
  `patternGeneratorDelete(int generatorId)`
  `BGGenerator`
  `patternGeneratorGet(int generatorId)`
  `List<BGGenerator>`
  `patternGeneratorList()`
  `List<IdTitle>`
  `patternGeneratorTitles()`
  `int`
  `patternGeneratorUpdate(BGGenerator patternGenerator)`
  `boolean`
  `patternSequenceDelete(int sequenceId)`
  `BGSequence`
  `patternSequenceGet(int sequenceId)`
  `List<BGSequence>`
  `patternSequenceList()`
  `List<IdTitle>`
  `patternSequenceTitles()`
  `int`
  `patternSequenceUpdate(BGSequence sequence)`
  `void`
  `updateNamedNumber(ContractPatternNamedNumber namedNumber)`
  Обновление/создание порядкового параметра шаблона договора.

- ## Method Details

  - ### numedNumberPatternList

    List<ContractPatternNamedNumber> numedNumberPatternList() throws Exception
    Получить список именованных порядковых параметров.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### updateNamedNumber

    void updateNamedNumber(ContractPatternNamedNumber namedNumber) throws Exception
    Обновление/создание порядкового параметра шаблона договора.
    Parameters:
      `namedNumber` -
    Throws:
      `Exception`

  - ### getNextNamedNumberIndex

    int getNextNamedNumberIndex(String title) throws Exception
    Получить следующий номер для именного порядкового параметра шаблона договора.
    Parameters:
      `title` - - имя порядкового параметра
    Returns:
    Throws:
      `Exception`

  - ### deleteNamedNumber

    void deleteNamedNumber(int id) throws Exception
    Удаление именованного порядкового параметра шаблона договора.
    Parameters:
      `id` -
    Throws:
      `Exception`

  - ### contractPatternlist

    List<ru.bitel.bgbilling.kernel.contract.pattern.common.dto.ContractPatternInfo> contractPatternlist(String nondef) throws Exception
    Throws:
      `Exception`

  - ### contractPatternContractParameterList

    List<ru.bitel.bgbilling.kernel.contract.pattern.common.dto.ContractParameterData> contractPatternContractParameterList(int contractPatternId) throws Exception
    Throws:
      `Exception`

  - ### contractPatternTariffList

    List<ru.bitel.bgbilling.kernel.contract.pattern.common.dto.ContractTariffData> contractPatternTariffList(int contractPatternId) throws Exception
    Throws:
      `Exception`

  - ### contractPatterns

    List<IdTitle> contractPatterns(boolean showHidden) throws Exception
    Throws:
      `Exception`

  - ### patternDataGet

    ru.bitel.bgbilling.kernel.contract.pattern.common.dto.PatternData patternDataGet() throws Exception
    Throws:
      `Exception`

  - ### patternSequenceList

    List<BGSequence> patternSequenceList() throws Exception
    Throws:
      `Exception`

  - ### patternSequenceTitles

    List<IdTitle> patternSequenceTitles() throws Exception
    Throws:
      `Exception`

  - ### patternSequenceGet

    BGSequence patternSequenceGet(int sequenceId) throws Exception
    Throws:
      `Exception`

  - ### patternSequenceUpdate

    int patternSequenceUpdate(BGSequence sequence) throws Exception
    Throws:
      `Exception`

  - ### patternSequenceDelete

    boolean patternSequenceDelete(int sequenceId) throws Exception
    Throws:
      `Exception`

  - ### patternGeneratorList

    List<BGGenerator> patternGeneratorList() throws Exception
    Throws:
      `Exception`

  - ### patternGeneratorTitles

    List<IdTitle> patternGeneratorTitles() throws Exception
    Throws:
      `Exception`

  - ### patternGeneratorGet

    BGGenerator patternGeneratorGet(int generatorId) throws Exception
    Throws:
      `Exception`

  - ### patternGeneratorUpdate

    int patternGeneratorUpdate(BGGenerator patternGenerator) throws Exception
    Throws:
      `Exception`

  - ### patternGeneratorDelete

    boolean patternGeneratorDelete(int generatorId) throws Exception
    Throws:
      `Exception`

  - ### contractParameterGroupList

    List<ru.bitel.bgbilling.common.model.KeyValue> contractParameterGroupList() throws Exception
    Throws:
      `Exception`

  - ### contractCommentPatternList

    List<ru.bitel.bgbilling.common.model.KeyValue> contractCommentPatternList() throws Exception
    Throws:
      `Exception`